<?php 
include "scrinit.php";
include $menu;
?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

</head>
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid green;padding:2px;font-size:10pt; }
<p style="font-size:10px;"></p>
</style>


<?php 

require("dbconnect.php");
$usr=$_SESSION['usr'];
$access=$_SESSION['access'];
$dt=$_SESSION['dt'];
$dtc= date('d-m-Y', strtotime($dt));

$result = mysqli_query($con,"SELECT Name,kinito FROM teachers where kinito > ' ' order BY Name ");
$c=mysqli_num_rows($result);
echo $c;
$t=round($c/5,0)+2;
echo $t;
?>
<h4> ΕΠΕΛΕΞΕ ΤΟΥΣ ΕΚΠΑΙΔΕΥΤΙΚΟΥΣ ΓΙΑ RAPID TEST </h4>
<form  method='post' ">
<div style="overflow:scroll; border:1px solid black;background:#F5F9F0;width:320px; height: 500px">
<p>
&nbsp;&nbsp;&nbsp<input type="button" id="toggle" value="Επιλογή Όλων" onClick="do_this()" />
</p>

<?php
echo "<table style='width:300px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#adcd82'  >
<th>ΚΑΘΗΓΗΤΗΣ/ΚΑΘΗΓΗΤΡΙΑ</th>
<th> </th>
<th>ΑΠΩΝ</th>
</tr>";
$i=1;
while ($row = mysqli_fetch_array($result)) 
  { 
    $namet=$row['Name'];
	$tel = $row['kinito'];	
	echo "<tr>";
	echo "<td>".$namet."</td>";
	echo "<td>"." "."</td>";
	if ($i <= $t)
	{
    echo "<td ALIGN=center>"."<input type='checkbox' name='smsx[]' value='$tel' checked>"."</td>";
	}
	echo "<input type='hidden' name='nm[]' value='$namet' >";
	echo "</tr>";
    $i++;
}
echo "</table>";
?>
</div>
<p>
<?php
If (isset($_POST['sms']))
	 {
		 $sms=$_POST['sms'];
	 }
else
{	
 $sms="ΠΑΡΑΚΑΛΕΙΣΤΕ ΟΠΩΣ ΜΕΧΡΙ ΤΗΝ ΕΡΧΟΜΕΝΗ ΔΕΥΤΕΡΑ 15-2-2021 ΠΑΡΟΥΣΙΑΣΕΤΕ/ΑΠΟΣΤΕΙΛΕΤΕ ΣΤΟ ΣΧΟΛΕΙΟ ΑΡΝΗΤΙΚΟ RAPIDTEST";
}
 echo "MHNYMA :"."<br >";; 
 echo "<textarea name='sms' cols='80' rows='2'> $sms </textarea >"."<br >";
?>
</p>

<input type="submit" name="sendsms" value="Επιβεβαίωση Επιλογών" >
</form>
<?php
if (isset($_POST['sendsms']))
{
    $i=0;
	$tel=$_POST['smsx'];
	$nam=$_POST['nm'];
	if (count($tel) > 0)
	{
		echo "<p>"."ΘΑ ΣΤΑΛΟΥΝ ΜΗΝΥΜΑΤΑ ΣΤΟΥΣ:"."</p>";
		echo "<table class='myTable' >
		<tr style='border:1px solid black' bgcolor='#d6ff73'  >
		<th>Α/Α</th>
		<th>Τηλέφωνο</th>
		<th>Όνομα</th>";
		
		
		foreach ($tel as $t)
		{
		   echo "<tr>"."<td>".$i."<td>".$tel[$i]."</td>"."<td>".$nam[$i]."</tr>";
		   $i++;
		}	   
		echo "</table>";
		echo "<br>";
	}
	
	$_SESSION['tel']=$_POST['smsx'];
	$sms1=trim($_POST['sms']);
	$_SESSION['sms1']=$sms1;
	$usr=$_SESSION['usr'];
	$_SESSION['fl']="teach";
	echo "<br>";
	echo "<p>"."ΘΑ ΣΤΑΛΕΙ ΤΟ ΑΚΟΛΟΥΘΟ ΜΗΝΥΜΑ :"."</p>";
	echo "<p>".$sms1."</p>";
	echo "<br>";
	echo " {Έτοιμότητα αποστολής}";
	include "smssecret.php";
}	

?>
<br /><br />
<a  href=<?php echo $menu;?> style="color:blue "  > <button> Ακύρωση Διαδικασίας και Επιστροφή στο Μενού  </a>
</body>
</html>